Skip to main content
POST
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
start
Start a DigitalOcean cluster
import requests

url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/start"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/start \
--header 'Authorization: Bearer <token>'
{
  "marked_to_start_at": "2023-11-07T05:31:56Z",
  "created_operations": 0,
  "scope": "all"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Query Parameters

scope
string | null

'control_plane' to only provision control plane, or 'all' (default)

Response

Cluster start initiated successfully

marked_to_start_at
string<date-time>
required
created_operations
integer
default:0
scope
string
default:all